//
//  opinion
//
//  gmalpha_flutter
//  Created by Mikasa on 2019/2/19.
//  Copyright © 2019 Gengmei. All rights reserved.
//

import 'package:flutter/material.dart';
import 'macros/ALColors.dart';
import 'macros/ALDevice.dart';
import 'macros/ALCommon.dart';
import 'package:hybrid_stack_manager/hybrid_stack_manager_plugin.dart';

class Opinion extends StatelessWidget {

  RouterOption routeOption;
  Opinion(RouterOption option, {Key key}) : super(key: key) {
    routeOption = option;
  }

  Widget build(BuildContext context) {

//    Map m = Utils.parseUniquePageName(routeOption.userInfo);
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: '意见与建议',
      color: ALColors.Color323232,
      theme: ThemeData(
        splashColor: Colors.white10
        ,//水波纹的颜色
      ),
      home: OpinionPage(title: '意见和建议'),
    );
  }
}

class OpinionPage extends StatefulWidget {
  OpinionPage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _OpinionPageState createState() => _OpinionPageState();
}

class _OpinionPageState extends State<OpinionPage> {
  TextEditingController opinionCtrl = TextEditingController();
  TextEditingController telCtrl = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
//          backgroundColor: ALColors.ColorFFFFFF,
          backgroundColor: Colors.white10,

          leading: new GestureDetector(
              child: new Icon(Icons.keyboard_backspace),
              onTap: () {
                HybridStackManagerPlugin.hybridStackManagerPlugin.popCurPage();
              }),
          title: new Text("意见与建议",style: TextStyle(color: ALColors.Color323232,fontSize: 16,fontWeight: FontWeight.bold),),
        ),
        body: Container(
          height: ALDevice.height,
          width: ALDevice.width,
          child: Center(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: <Widget>[
                Container(
                  alignment: Alignment.topCenter,
                  margin:
                      EdgeInsets.only(left: 30, top: 42, right: 30, bottom: 0),
                  height: 215,
                  width: ALDevice.width,
                  decoration: BoxDecoration(
                    border: Border.all(color: ALColors.ColorC4C4C4, width: 1),
                  ),
                  child: TextField(
                    maxLines: 10,
                    controller: opinionCtrl,
                    decoration: InputDecoration(
                      border: InputBorder.none,
                      contentPadding: EdgeInsets.all(10),
                      hintText: '意见与建议',
                      hintStyle: TextStyle(
                        color: ALColors.ColorC4C4C4,
                        fontSize: 14,
                      ),
                      labelStyle:
                          TextStyle(color: ALColors.Color323232, fontSize: 19),
                    ),
                  ),
                ),
                Container(
                  height: 40,
                  margin: EdgeInsets.only(left: 30, right: 30,top: 30),
                  padding: EdgeInsets.only(bottom: 10),
                  decoration: BoxDecoration(
                      border: Border(
                    bottom: BorderSide(color: ALColors.ColorC4C4C4),
                  )),
                  alignment: Alignment.centerLeft,
                  child: TextField(
                    controller: telCtrl,
                    decoration: InputDecoration(
                      border: InputBorder.none,
                      contentPadding: EdgeInsets.all(10),
                      hintText: '联系方式',
                      hintStyle: TextStyle(
                        color: ALColors.ColorC4C4C4,
                        fontSize: 14,
                      ),
                      labelStyle:
                          TextStyle(color: ALColors.Color323232, fontSize: 19),
                    ),
                  ),
                ),
                Container(
                  decoration: BoxDecoration(
                      border:
                          Border.all(color: ALColors.Color323232, width: 1.5)),
                  margin: EdgeInsets.all(30),
                  padding: EdgeInsets.all(0),
                  constraints:
                      BoxConstraints(minWidth: ALDevice.width, minHeight: 45),
                  alignment: Alignment.center,
                  child: FlatButton(
                    onPressed: confirmClick,
                    child: Text(
                      '提交',
                      style:
                          TextStyle(fontSize: 14, color: ALColors.Color323232),
                    ),
                  ),
                ),
              ],
            ),
          ),
        ));
  }
}

void confirmClick() {

  // 提交信息 && 回到上一级页面
  HybridStackManagerPlugin.hybridStackManagerPlugin.popCurPage();

  print('confirmClick');
}

